summaryrefslogtreecommitdiff
path: root/top/gitsub.sh
diff options
context:
space:
mode:
Diffstat (limited to 'top/gitsub.sh')
-rwxr-xr-xtop/gitsub.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/top/gitsub.sh b/top/gitsub.sh
index 9a813cf7ba..54c52a874f 100755
--- a/top/gitsub.sh
+++ b/top/gitsub.sh
@@ -354,9 +354,9 @@ func_pull ()
fi
else
# The subdir does not yet exist. Create a plain checkout.
- trap func_cleanup_current_git_clone 1 2 13 15
+ trap func_cleanup_current_git_clone HUP INT PIPE TERM
git clone $2 "$url" "$path" || func_cleanup_current_git_clone
- trap - 1 2 13 15
+ trap - HUP INT PIPE TERM
fi
;;
esac